BSD Ports

net/p5-Net-NTP 1.5 FreeBSD

Perl extension for decoding NTP server responses

System
FreeBSD
Repository
FreeBSD ports
Maintainer
[email protected]
Categories
net
Package size
8.2 KiB, 16.9 KiB installed

Description

All this module does is send a packet to an NTP server and then decode the packet received into it's respective parts

  • as outlined in RFC5905 (superseding RFC1305 and RFC2030).

In the other systems

SystemPortVersion
FreeBSDnet/p5-Net-NTP1.5
OpenBSDnet/p5-Net-NTP1.5p0
DragonFlynet/p5-Net-NTP1.5

Install

Binary package:

pkg install p5-Net-NTP

From the ports tree:

cd /usr/ports/net/p5-Net-NTP/ && make install clean

To depend on this port in another port's Makefile:

RUN_DEPENDS=	p5-Net-NTP>0:net/p5-Net-NTP

Packages

The version each package repository carries. “-” means the repository builds no package of it, “n/a” that there is no such repository.

Repositoryaarch64amd64armv6armv7i386
FreeBSD:14:latest1.51.51.51.51.5
FreeBSD:14:quarterly1.51.5n/a1.51.5
FreeBSD:15:latest1.51.5n/a1.51.5
FreeBSD:15:quarterly1.51.5n/an/an/a
FreeBSD:16:latest1.51.5n/an/an/a
FreeBSD:16:quarterlyn/an/an/an/an/a

Dependencies

The Makefile names none itself; they come from USES and USE_*.

The full lists below include those, and their dependencies in turn.

Build dependencies 1
Run dependencies 1

No port depends on this one.

Configuration

No options to configure.

USES
perl5
Service scripts
none

Files

distinfo 1
FileSizeSHA256
Net-NTP-1.5.tar.gz6459b16817f88ecc75f155aea3dcf8874d4b8bcc0c9d249e1bc1e12ce7cfa5e7d9aa
Master sites 1
  • CPAN

Commit history 0

No commits in the history this site was built from.